package org.aohe;

import java.io.IOException;
import java.net.UnknownHostException;

import lombok.extern.slf4j.Slf4j;
import org.aohe.core.utils.CommandUtils;
import org.aohe.core.utils.SystemUtils;
import org.aohe.core.web.SocketServer;

import java.io.BufferedReader;
import java.io.InputStreamReader;

@Slf4j
public class Main {
    public static void main(String[] args) throws IOException, InterruptedException {
        log.info(" 当前系统类型： {}", SystemUtils.getOsName());
        //初始化Sane Socket 守护进程
        CommandUtils.initSanedSocket();
        int port = 8997; // 843 flash policy port

        SocketServer s = new SocketServer(port);
        s.start();
        System.out.println("scan-service started on port: " + s.getPort());

        BufferedReader sysin = new BufferedReader(new InputStreamReader(System.in));
        while (true) {
            String in = sysin.readLine();
            s.broadcast(in);
            if (in.equals("exit")) {
                s.stop(1000);
                break;
            }
        }
    }
}